com.thinkaurelius.titan.diskstorage.locking.consistentkey

## Class StandardLockCleanerService

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.locking.consistentkey.StandardLockCleanerService

- All Implemented Interfaces:
    LockCleanerService

      public class StandardLockCleanerService
      extends Object
      implements LockCleanerService

  Encapsulates an ExecutorService that creates and runs `StandardLockCleanerRunnable` instances. Updates a timed-expiration Guava strong cache keyed by rows to prevent the user from spamming tens/hundreds/... of cleaner instances in a short time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardLockCleanerService(KeyColumnValueStore store, ConsistentKeyLockerSerializer serializer)`
    `StandardLockCleanerService(KeyColumnValueStore store, ConsistentKeyLockerSerializer serializer, ExecutorService exec, long cooldownTime, TimeUnit cooldownUnit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean(KeyColumn target, long cutoff, StoreTransaction tx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardLockCleanerService

          public StandardLockCleanerService(KeyColumnValueStore store,
                                    ConsistentKeyLockerSerializer serializer,
                                    ExecutorService exec,
                                    long cooldownTime,
                                    TimeUnit cooldownUnit)

    - #### StandardLockCleanerService

          public StandardLockCleanerService(KeyColumnValueStore store,
                                    ConsistentKeyLockerSerializer serializer)

  - ### Method Detail

    - #### clean

          public void clean(KeyColumn target,
                   long cutoff,
                   StoreTransaction tx)

      Specified by:
        `clean` in interface `LockCleanerService`

Copyright © 2012–2014. All rights reserved.